# valarray File Reference

`#include <bits/c++config.h>`
`#include <cstddef>`
`#include <cmath>`
`#include <cstdlib>`
`#include <numeric>`
`#include <algorithm>`
`#include <debug/debug.h>`
`#include <bits/valarray_array.h>`
`#include <bits/valarray_before.h>`
`#include <bits/valarray_after.h>`
`#include <bits/slice_array.h>`
`#include <bits/gslice.h>`
`#include <bits/gslice_array.h>`
`#include <bits/mask_array.h>`
`#include <bits/indirect_array.h>`

Include dependency graph for valarray:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file valarray.